SOURCES = dlc_test.cxx derived.cxx
SUBDIRS =
DELETABLES = derived.so dlc_test

default : dlc_test so

dlc_test : dlc_test.o
	@echo Linking to dlc_test
	@$(LINKER) $(LFLAGS) dlc_test.o ../dlc.so -ldl -o dlc_test

so:	derived.o basic.h
	$(LINKER) $(SHAREFLAGS) -o derived.so derived.o

DLCROOT=..
include $(DLCROOT)/config/makefile.inc
